View Issue Details

IDProjectCategoryView StatusLast Update
0000252PluginsFTP (old)public2007-07-16 16:06
ReporterDiRTy_GaRRyAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000252: Плагин не может скопировать с ftp некоторые файлы содержащие символ %
DescriptionСобственно subj. Что то там не так с разбором строк по формату. Пробовал на последнем релизном плагине и на новой UTF8-friendly сборке FARFtp от t-rex-а.
Steps To Reproduce1. Заходим на ftp
2. Создаём и копируем туда файл с именем %C.txt
3. Пытаемся скопировать его обратно
4. Получаем ошибку, что файл не найден.

Логи ftp и мультик прилагаю.
TagsNo tags attached.

Activities

2006-12-01 05:01

 

logs.rar (70,642 bytes)

DiRTy_GaRRy

2007-01-16 09:55

developer   bugnote:0000385

Необходимо в файле ftp_FtpAPI.cpp в функции FtpGetFile заменить строки

//Remote file
     if ( *lpszRemoteFile != '/' ) {
       full_name = Connect->ToOEMDup( Connect->CurDir.c_str() );
       AddEndSlash( full_name, '/' );
--> full_name.cat( lpszRemoteFile );
       lpszRemoteFile = full_name.c_str();
     }

на

//Remote file
     if ( *lpszRemoteFile != '/' ) {
       full_name = Connect->ToOEMDup( Connect->CurDir.c_str() );
       AddEndSlash( full_name, '/' );
--> full_name.Add( lpszRemoteFile );
       lpszRemoteFile = full_name.c_str();
     }

Вроде рабоатет. Может кто замерджит?

2007-01-16 18:31

 

farftp.7z (165,267 bytes)

alexy

2007-01-16 18:32

administrator   bugnote:0000386

Смотри аттач. Это UTF8 + твои изменения включая #256. Если всё ок то комичю изменения.

Issue History

Date Modified Username Field Change
2006-12-01 05:01 DiRTy_GaRRy New Issue
2006-12-01 05:01 DiRTy_GaRRy File Added: logs.rar
2007-01-16 09:55 DiRTy_GaRRy Note Added: 0000385
2007-01-16 18:31 alexy File Added: farftp.7z
2007-01-16 18:32 alexy Note Added: 0000386
2007-01-16 18:33 alexy Assigned To => alexy
2007-01-16 18:33 alexy Status new => resolved
2007-01-16 18:33 alexy Resolution open => fixed
2007-01-16 18:33 alexy Fixed in Version => 1.71
2007-07-16 16:06 alexy Status resolved => closed
2013-05-21 00:30 alexy Category FTP => FTP (old)